package common

import (
	"crypto/md5"
	"encoding/hex"
	"github.com/gin-gonic/gin"
)

// @Title md5签名
// @Param src string true "签名元数据"
func Md5(src string) string {
	toolMd5 := md5.New()
	toolMd5.Write([]byte(src))
	return hex.EncodeToString(toolMd5.Sum(nil))
}

// @Title 获取登录用户userId
func GetUserId(c *gin.Context) uint {
	uid, flag := c.Get("userId")
	if !flag {
		return 0
	}
	return uid.(uint)
}
